{% extends "base.html" %}

{% block app_content %}
    <div class="container mt-5">
        <div class="row">
            <div class="col-md-8 offset-md-2">
                <h4 class="mb-4">Users followed by {{ user.username }}</h4>
                <ul class="list-unstyled">
                    {% for following in following.items %}
                        <li class="media mb-4">
                            <img src="{{ following.avatar(50) }}" alt="{{ following.username }}"
                                 class="mr-3 user-avatar img-circle">
                            <div class="media-body">
                                <h5 class="mt-0">
                                    <a href="{{ url_for('main.user', username=following.username) }}">{{ following.username }}</a>
                                </h5>
                            </div>
                        </li>
                    {% endfor %}
                </ul>
                <nav aria-label="...">
                    <ul class="pagination justify-content-center">
                        <li class="page-item{% if not following.has_prev %} disabled{% endif %}">
                            <a class="page-link"
                               href="{{ url_for('main.following', username=user.username, page=following.prev_num) }}">
                                <span aria-hidden="true">&larr;</span> Previous
                            </a>
                        </li>
                        <li class="page-item{% if not following.has_next %} disabled{% endif %}">
                            <a class="page-link"
                               href="{{ url_for('main.following', username=user.username, page=following.next_num) }}">
                                Next <span aria-hidden="true">&rarr;</span>
                            </a>
                        </li>
                    </ul>
                </nav>
                <button class="btn-xs>"><a href="{{ url_for('main.user', username=user.username) }}"
                                           class="btn btn-secondary">Back to Profile</a></button>
            </div>
        </div>
    </div>
{% endblock %}
